Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.gef
Class ScapeEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.amp.agf.gef.GenericEditPart
                  org.eclipse.amp.agf.gef.ScapeEditPart

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, org.eclipse.core.runtime.IAdaptable, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.NodeEditPart, org.eclipse.gef.RequestConstants

Direct Known Subclasses:
  ScapeEdit3DPart, ScapeGraphEditPart

    public class ScapeEditPart

extends GenericEditPart
implements java.beans.PropertyChangeListener, org.eclipse.gef.NodeEditPart

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart, org.eclipse.gef.editparts.AbstractGraphicalEditPart.DefaultAccessibleAnchorProvider`

Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart
`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

Field Summary

Fields inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`anchor, HIGHLIGHT_ELLIPSE, HIGHLIGHT_RECTANGLE, noFigureWarning, SCALE`

Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`figure, sourceConnections, targetConnections`

Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart
`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`ScapeEditPart(ICompositionProvider memberProvider, ILocationProvider locationProvider, org.eclipse.jface.viewers.IFilter filter)`

Method Summary
`protected void` | `calculateConstraints(org.eclipse.gef.GraphicalEditPart editPart)`
`org.eclipse.draw2d.geometry.Dimension` | `calculateDimension()`
`protected void` | `createEditPolicies()`
`protected org.eclipse.draw2d.IFigure` | `createFigure()`
`java.util.List<ScapeEditPart>` | `get2DParts()`
`org.eclipse.jface.viewers.IFilter` | `getFilter()`
`java.util.List<ScapeGraphEditPart>` | `getGraphParts()`
`ILocationProvider` | `getLocationProvider()`
`ICompositionProvider` | `getMemberProvider()`
`java.lang.Object` | `getModelRoot()`
`ScapeEditPart` | `getRootScapeEditPart()`
`org.eclipse.draw2d.ConnectionAnchor` | `getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)`
`org.eclipse.draw2d.ConnectionAnchor` | `getSourceConnectionAnchor(org.eclipse.gef.Request request)`
`java.util.List` | `getSourceConnections()`
`org.eclipse.draw2d.ConnectionAnchor` | `getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)`
`org.eclipse.draw2d.ConnectionAnchor` | `getTargetConnectionAnchor(org.eclipse.gef.Request request)`
`java.util.List` | `getTargetConnections()`
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)`
`void` | `refresh()`
`protected void` | `refreshChildren()` Must not be called while scape is updating.
`void` | `setFilter(org.eclipse.jface.viewers.IFilter filter)`
`void` | `setLocationProvider(ILocationProvider locationProvider)`
`void` | `setMemberProvider(ICompositionProvider memberProvider)`

Methods inherited from class org.eclipse.amp.agf.gef.GenericEditPart
`activate, buildFigure, deactivate, refreshVisuals, updateSelection`

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`addChildVisual, addNodeListener, addNotify, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getAdapter, getContentPane, getDragTracker, getFigure, getLayer, getModelSourceConnections, getModelTargetConnections, isSelectable, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeNotify, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getChildren, getCommand, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getModel, getModelChildren, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, performRequest, register, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, toString, understandsRequest, unregister, unregisterAccessibility, unregisterModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.GraphicalEditPart
`addNodeListener, getContentPane, getFigure, removeNodeListener, setLayoutConstraint`

Methods inherited from interface org.eclipse.gef.EditPart
`activate, addEditPartListener, addNotify, deactivate, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Constructor Detail

### ScapeEditPart

    public ScapeEditPart(ICompositionProvider memberProvider,
                         ILocationProvider locationProvider,
                         org.eclipse.jface.viewers.IFilter filter)

Method Detail

### createFigure

    protected org.eclipse.draw2d.IFigure createFigure()

  Overrides:
    `createFigure` in class `GenericEditPart`

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `org.eclipse.gef.EditPart`
  Overrides:
    `refresh` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### calculateDimension

    public org.eclipse.draw2d.geometry.Dimension calculateDimension()

### calculateConstraints

    protected void calculateConstraints(org.eclipse.gef.GraphicalEditPart editPart)

### refreshChildren

    protected void refreshChildren()

  Must not be called while scape is updating.

  Overrides:
    `refreshChildren` in class `org.eclipse.gef.editparts.AbstractEditPart`

### getGraphParts

    public java.util.List<ScapeGraphEditPart> getGraphParts()

### get2DParts

    public java.util.List<ScapeEditPart> get2DParts()

### getRootScapeEditPart

    public ScapeEditPart getRootScapeEditPart()

### getSourceConnections

    public java.util.List getSourceConnections()

  Specified by:
    `getSourceConnections` in interface `org.eclipse.gef.GraphicalEditPart`
  Overrides:
    `getSourceConnections` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### getTargetConnections

    public java.util.List getTargetConnections()

  Specified by:
    `getTargetConnections` in interface `org.eclipse.gef.GraphicalEditPart`
  Overrides:
    `getTargetConnections` in class `org.eclipse.gef.editparts.AbstractGraphicalEditPart`

### createEditPolicies

    protected void createEditPolicies()

  Overrides:
    `createEditPolicies` in class `GenericEditPart`

### getSourceConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

  Specified by:
    `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getSourceConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getSourceConnectionAnchor(org.eclipse.gef.Request request)

  Specified by:
    `getSourceConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getTargetConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.ConnectionEditPart connection)

  Specified by:
    `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### getTargetConnectionAnchor

    public org.eclipse.draw2d.ConnectionAnchor getTargetConnectionAnchor(org.eclipse.gef.Request request)

  Specified by:
    `getTargetConnectionAnchor` in interface `org.eclipse.gef.NodeEditPart`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `GenericEditPart`

### getFilter

    public org.eclipse.jface.viewers.IFilter getFilter()

### setFilter

    public void setFilter(org.eclipse.jface.viewers.IFilter filter)

### getMemberProvider

    public ICompositionProvider getMemberProvider()

### setMemberProvider

    public void setMemberProvider(ICompositionProvider memberProvider)

### getLocationProvider

    public ILocationProvider getLocationProvider()

### setLocationProvider

    public void setLocationProvider(ILocationProvider locationProvider)

### getModelRoot

    public java.lang.Object getModelRoot()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD